# vim

My Vim configuration 

## vim-plug
#### Vim
###### Linux
```sh
curl -fLo ~/.vim/autoload/plug.vim --create-dirs \
    https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
```
#### Neovim
###### Linux
```sh
sh -c 'curl -fLo "${XDG_DATA_HOME:-$HOME/.local/share}"/nvim/site/autoload/plug.vim --create-dirs \
       https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim'
```
Install plugins:
```
:PlugInstall
```
## Conquer of Completion
Nodejs is a requirement:
```
curl -sL install-node.vercel.app/lts | bash
```
Run commands in NeoVim/Vim:
```
:CocInstall coc-json coc-tsserver coc-snippets coc-vimtex coc-pairs
```
